Crucible version 2.7.4 and Eclipse IDE Connector

Looking at the supported platforms document for IDE Connector version 2.2, it lists Crucible support for up to version 2.2.

Are there any versions of the Connector that work with the latest Crucible release (currently 2.7.4 I believe)?

4 answers

1 accepted

Hi,

Here is an official statement:

Our products have evolved drastically over the past few years and now provide many of the rich features that were previously only available via our IDE integration. In fact many of the product features are nowadays much faster and easier to use than their IDE plugin equivalent.

Therefore we have decided to focus our efforts on the web experience, rather than replicating existing functionality within the IDE. Our goal is to still provide a useful connection between the two environments, but only where we can actually enhance the experience instead of simply replicating features.

Going forward, we will maintain most of the integration with JIRA as well as the Bamboo integration. The Crucible and Fisheye integration however will be removed in future versions of the Connector, with only the click through from the web being maintained. We will soon open-source the original versions of the connector on BitBucket, but will not maintain or support the old version going forward.

Please let us know if you have any questions or feedback.

Cheers,
Jacek

Thanks!

Personally, I much prefer the web experience - so this isn't necessarily bad news.

Which Connector do you mean? Eclipse, IntelliJ Idea?

Sorry. Updated question to clarify. I am referring to the Eclipse connector.

IDEA Connector works with CRU 2.7.3 and SVN. I've updated compatibility matrix (http://confluence.atlassian.com/display/IDEPLUGIN/Supported+Platforms+-+Atlassian+Connector+for+IntelliJ+IDEs).

I would like to mention that IDEA Connector supports only precommit reviews other functionality is no longer supported.

Any updates on the Eclipse connector? I should have mentioned that in the question.

Hi,

Unfortunately the Atlassian Connector for Eclipse since version 3.0 does not support Crucible any more. The last version which supports Crucible is Connector 2.3 and it works fine with Crucible 2.2.

I'm sorry for the sad news.

Cheers,

Jacek

Any reason for this? Are there plans to update the Eclipse Connector?

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Thursday in Latin America

Boas vindas e apresentações!

Olá pessoal!   Sejam bem-vindos(as) ao fórum da Comunidade Atlassian! O community.atlassian é uma ferramenta para incentivar e fortalecer a comunidade Atlassian, que até então tinha s...

51 views 2 0
View post

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you